Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/locations/keywords

Add keywords

This API allows you to add keywords that you want to track, for a specific location.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Headers

NameTypeRequiredDescription
Content-Typestringrequired

Body

NameTypeRequiredDescription
locationIdstringrequired
inputKeywordsarray of stringrequired

Request

Request
curl -X POST 'https://api.synup.com/api/v4/locations/keywords' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "TG9jYXRpb246MTM5OTg=",
  "inputKeywords": [
    "road paving",
    "road building"
  ]
}'

Responses

StatusDescription
200
Example response (generated from the schema)
{
  "data": {
    "addKeywords": {
      "keywords": [
        {
          "id": "string",
          "primary": null,
          "archived": true,
          "archiveReasonId": null,
          "databaseId": 0,
          "name": "string"
        }
      ],
      "errors": null
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectrequired
data.addKeywordsobjectrequired
data.addKeywords.keywordsarray of objectrequired
data.addKeywords.keywords[].idstringrequired
data.addKeywords.keywords[].primarynullrequired
data.addKeywords.keywords[].archivedbooleanrequired
data.addKeywords.keywords[].archiveReasonIdnullrequired
data.addKeywords.keywords[].databaseIdintegerrequired
data.addKeywords.keywords[].namestringrequired
data.addKeywords.errorsnullrequired